clear all;
close all;
clc;
tic
% Define an error variable (0 = ok, 1 = error).
Error = 0;
% Open file
fid = fopen('alleaks_3.txt'); % Open file for all axle vehicles.

% Check if open was successful
if fid == -1
% Open failed
    Error = 1;
        disp ('ERROR open');
else
% Open was successful ==> read line by line until end-of-file (eof).
disp ('Read file and split lines into elements');
linecounter = 1;
while feof(fid) == 0
    tline = fgets(fid);
    % Convert European ',' in numbers into English '.' representation.
    for index = 1:length(tline)
        if tline(index) == ','
        tline(index) = '.';
        end
    if tline(index) == ''
    tline(index) = 0;
    end
end
clear index;
% Delete the headlines and
% separate the single entries,
% using the delimiter '\t' (tabulator)
    if (linecounter > 0 )
    ValuesCellMatrix(linecounter,:) = strsplit (tline, '\t');
    %disp(tline);

    linecounter = linecounter + 1;
    end
end
fclose(fid);
clear ans;
clear linecounter;
clear tline;
end

% Converting strings to numbers.
SizeOfValuesCellMatrix = size(ValuesCellMatrix);
Values = zeros (SizeOfValuesCellMatrix(1,1),SizeOfValuesCellMatrix(1,2)-1);
for RowCounter=1:SizeOfValuesCellMatrix(1,1)
    for ColCounter=1:SizeOfValuesCellMatrix(1,2)
        Values(RowCounter,ColCounter) = str2double(ValuesCellMatrix{RowCounter,ColCounter});
    end
end
clear ColCounter;
clear RowCounter;
clear ValuesCellMatrix;

% Make new matrices for the right numbers that are going to be used.
matrise_540032 = [];
matrise_540031 = [];
matrise_540109 = [];

% Find the size to known what to use in the loops.
[m n] = size(Values);

% Pick the correct numbers and put the in their corresponding matrices. 
for ii = 1:m
    % Check for the correct WIM and that the static weight is different
    % from zero.
    if Values(ii,1) == 540032 && Values(ii,2) ~= 0
        % Add to new matrix.
        matrise_540032 = [matrise_540032; Values(ii+3,2) Values(ii,2)];
    end
end

for iii = 1:m
    if Values(iii,1) == 540031 && Values(iii,2) ~= 0
        matrise_540031 = [matrise_540031; Values(iii+2,2) Values(iii,2)];
    end
end

for iiii = 1:m
    if Values(iiii,1) == 540109 && Values(iiii,2) ~= 0
        matrise_540109 = [matrise_540109; Values(iiii+1,2) Values(iiii,2)];
    end
end

% Check sizes.
[xx_540032,yy_1740104] = size(matrise_540032);
[xx_540031,yy_1740104] = size(matrise_540031);
[xx_540109,yy_1740104] = size(matrise_540109);

% Create empty matrices.
error_540032 = [];
error_540031 = [];
error_540109 = [];

C_540032_jobb = [];
for yy = 1:xx_540032
    C_540032_jobb(yy) = matrise_540032(yy,2)/matrise_540032(yy,1);
end

C_540031_jobb = [];
for zz = 1:xx_540031
    C_540031_jobb(zz) = matrise_540031(zz,2)/matrise_540031(zz,1);
end

C_540109_jobb = [];
for zzz = 1:xx_540109
    C_540109_jobb(zzz) = matrise_540109(zzz,2)/matrise_540109(zzz,1);
end

C_540032 = xx_540032/sum(C_540032_jobb);
C_540031 = xx_540031/sum(C_540031_jobb);
C_540109 = xx_540109/sum(C_540109_jobb);

cali_540032 = [];
cali_540031 = [];
cali_540109 = [];

for yyy = 1:xx_540032
    cali_540032 = [cali_540032; matrise_540032(yyy,1) C_540032*matrise_540032(yyy,2)];
end

for zzz = 1:xx_540031
    cali_540031 = [cali_540031; matrise_540031(zzz,1) C_540031*matrise_540031(zzz,2)];
end

for zzzz = 1:xx_540109
    cali_540109 = [cali_540109; matrise_540109(zzzz,1) C_540109*matrise_540109(zzzz,2)];
end

%errors
[x_32 y_32] = size(cali_540032);
[x_31 y_31] = size(cali_540031);
[x_109 y_109] = size(cali_540109);

error_540032 = [];
error_540031 = [];
error_540109 = [];

for aa = 1:x_32
    error_540032(aa) = (cali_540032(aa,2)- cali_540032(aa,1))*100/cali_540032(aa,1);
end
mean_1740009 = mean(error_540032);
std_1740009 = std(error_540032);

for bb = 1:x_31
    error_540031(bb) = (cali_540031(bb,2)- cali_540031(bb,1))*100/cali_540031(bb,1);
end
mean_1740104 = mean(error_540031);
std_1740104 = std(error_540031);

for bbb = 1:x_109
    error_540109(bbb) = (cali_540109(bbb,2)- cali_540109(bbb,1))*100/cali_540109(bbb,1);
end
mean_540109 = mean(error_540109);
std_540109 = std(error_540109);
